## spiped 1.6.2

=== Makefile ===
.POSIX:

PROGS=	spipe					\
	spiped
TESTS=	perftests/recv-zeros			\
	perftests/send-zeros			\
	perftests/standalone-enc		\
	tests/dnsthread-resolve			\
	tests/nc-client				\
	tests/nc-server				\
	tests/pthread_create_blocking_np	\
	tests/pushbits				\
	tests/valgrind
BINDIR_DEFAULT=	/usr/local/bin
CFLAGS_DEFAULT=	-O2
LIBCPERCIVA_DIR=	libcperciva
TEST_CMD=	tests/test_spiped.sh

### Shared code between Tarsnap projects.

all:	toplevel
	export CFLAGS="$${CFLAGS:-${CFLAGS_DEFAULT}}";	\
	. ./posix-flags.sh;				\
	. ./cpusupport-config.h;			\
	. ./cflags-filter.sh;				\
	export HAVE_BUILD_FLAGS=1;			\
	for D in ${PROGS} ${TESTS}; do			\
		( cd $${D} && ${MAKE} all ) || exit 2;	\
	done

.PHONY:	toplevel
toplevel:	cflags-filter.sh cpusupport-config.h	\
		liball posix-flags.sh

# For "loop-back" building of a subdirectory
buildsubdir: toplevel
	. ./posix-flags.sh;				\
	. ./cpusupport-config.h;			\
	. ./cflags-filter.sh;				\
	export HAVE_BUILD_FLAGS=1;			\
	cd ${BUILD_SUBDIR} && ${MAKE} ${BUILD_TARGET}

# For "loop-back" building of the library
.PHONY: liball
liball: cflags-filter.sh cpusupport-config.h posix-flags.sh
	. ./posix-flags.sh;				\
	. ./cpusupport-config.h;			\
	. ./cflags-filter.sh;				\
	export HAVE_BUILD_FLAGS=1;			\
	( cd liball && make all ) || exit 2;

posix-flags.sh:
	if [ -d ${LIBCPERCIVA_DIR}/POSIX/ ]; then			\
		export CC="${CC}";					\
		cd ${LIBCPERCIVA_DIR}/POSIX;				\
		printf "export \"LDADD_POSIX=";				\
		command -p sh posix-l.sh "$$PATH";			\
		printf "\"\n";						\
		printf "export \"CFLAGS_POSIX=";			\
		command -p sh posix-cflags.sh "$$PATH";			\
		printf "\"\n";						\
	fi > $@
	if [ ! -s $@ ]; then						\
		printf "#define POSIX_COMPATIBILITY_NOT_CHECKED 1\n";	\
	fi >> $@

cflags-filter.sh:
	if [ -d ${LIBCPERCIVA_DIR}/POSIX/ ]; then			\
		export CC="${CC}";					\
		cd ${LIBCPERCIVA_DIR}/POSIX;				\
		command -p sh posix-cflags-filter.sh "$$PATH";		\
	fi > $@
	if [ ! -s $@ ]; then						\
		printf "# Compiler understands normal flags; ";		\
		printf "nothing to filter out\n";			\
	fi >> $@

cpusupport-config.h:
	if [ -d ${LIBCPERCIVA_DIR}/cpusupport/ ]; then			\
		export CC="${CC}";					\
		command -p sh						\
		    ${LIBCPERCIVA_DIR}/cpusupport/Build/cpusupport.sh	\
		    "$$PATH";						\
	fi > $@
	if [ ! -s $@ ]; then						\
		printf "#define CPUSUPPORT_NONE 1\n";			\
	fi >> $@

install:	all
	export BINDIR=$${BINDIR:-${BINDIR_DEFAULT}};	\
	for D in ${PROGS}; do				\
		( cd $${D} && ${MAKE} install ) || exit 2;	\
	done

clean:	test-clean
	rm -f cflags-filter.sh cpusupport-config.h posix-flags.sh
	for D in liball ${PROGS} ${TESTS}; do			\
		( cd $${D} && ${MAKE} clean ) || exit 2;	\
	done

.PHONY:	test test-clean
test:	all
	${TEST_CMD}

test-clean:
	rm -rf tests-output/ tests-valgrind/

# Developer targets: These only work with BSD make
Makefiles:
	${MAKE} -f Makefile.BSD Makefiles

publish:
	${MAKE} -f Makefile.BSD publish

=== liball/Makefile ===
.POSIX:
# AUTOGENERATED FILE, DO NOT EDIT
LIB=liball.a
SRCS=sha256.c sha256_arm.c sha256_shani.c sha256_sse2.c cpusupport_arm_aes.c cpusupport_arm_sha256.c cpusupport_x86_aesni.c cpusupport_x86_rdrand.c cpusupport_x86_shani.c cpusupport_x86_sse2.c cpusupport_x86_ssse3.c crypto_aes.c crypto_aes_aesni.c crypto_aes_arm.c crypto_aesctr.c crypto_aesctr_aesni.c crypto_aesctr_arm.c crypto_dh.c crypto_dh_group14.c crypto_entropy.c crypto_entropy_rdrand.c crypto_verify_bytes.c elasticarray.c ptrheap.c timerqueue.c events.c events_immediate.c events_network.c events_network_selectstats.c events_timer.c netbuf_read.c network_accept.c network_connect.c network_read.c network_write.c asprintf.c daemonize.c entropy.c getopt.c insecure_memzero.c monoclock.c noeintr.c perftest.c setgroups_none.c setuidgid.c sock.c sock_util.c warnp.c dnsthread.c proto_conn.c proto_crypt.c proto_handshake.c proto_pipe.c graceful_shutdown.c pthread_create_blocking_np.c
IDIRS=-I../libcperciva/alg -I../libcperciva/cpusupport -I../libcperciva/crypto -I../libcperciva/datastruct -I../libcperciva/events -I../libcperciva/netbuf -I../libcperciva/network -I../libcperciva/util -I../lib/dnsthread -I../lib/proto -I../lib/util
SUBDIR_DEPTH=..
RELATIVE_DIR=liball

all:
	if [ -z "$${HAVE_BUILD_FLAGS}" ]; then \
		cd ${SUBDIR_DEPTH}; \
		${MAKE} BUILD_SUBDIR=${RELATIVE_DIR} \
		    BUILD_TARGET=${PROG} buildsubdir; \
	else \
		${MAKE} ${LIB}; \
	fi

clean:
	rm -f ${LIB} ${SRCS:.c=.o}

${LIB}:${SRCS:.c=.o}
	${AR} ${ARFLAGS} ${LIB} ${SRCS:.c=.o}

sha256.o: ../libcperciva/alg/sha256.c ../libcperciva/cpusupport/cpusupport.h ../cpusupport-config.h ../libcperciva/util/insecure_memzero.h ../libcperciva/alg/sha256_arm.h ../libcperciva/alg/sha256_shani.h ../libcperciva/alg/sha256_sse2.h ../libcperciva/util/sysendian.h ../libcperciva/util/warnp.h ../libcperciva/alg/sha256.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/alg/sha256.c -o sha256.o
sha256_arm.o: ../libcperciva/alg/sha256_arm.c ../libcperciva/cpusupport/cpusupport.h ../cpusupport-config.h ../libcperciva/alg/sha256_arm.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\" ${CFLAGS_ARM_SHA256} -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/alg/sha256_arm.c -o sha256_arm.o
sha256_shani.o: ../libcperciva/alg/sha256_shani.c ../libcperciva/cpusupport/cpusupport.h ../cpusupport-config.h ../libcperciva/alg/sha256_shani.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\" ${CFLAGS_X86_SHANI} ${CFLAGS_X86_SSSE3} -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/alg/sha256_shani.c -o sha256_shani.o
sha256_sse2.o: ../libcperciva/alg/sha256_sse2.c ../libcperciva/cpusupport/cpusupport.h ../cpusupport-config.h ../libcperciva/alg/sha256_sse2.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\" ${CFLAGS_X86_SSE2} -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/alg/sha256_sse2.c -o sha256_sse2.o
cpusupport_arm_aes.o: ../libcperciva/cpusupport/cpusupport_arm_aes.c ../libcperciva/cpusupport/cpusupport.h ../cpusupport-config.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/cpusupport/cpusupport_arm_aes.c -o cpusupport_arm_aes.o
cpusupport_arm_sha256.o: ../libcperciva/cpusupport/cpusupport_arm_sha256.c ../libcperciva/cpusupport/cpusupport.h ../cpusupport-config.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/cpusupport/cpusupport_arm_sha256.c -o cpusupport_arm_sha256.o
cpusupport_x86_aesni.o: ../libcperciva/cpusupport/cpusupport_x86_aesni.c ../libcperciva/cpusupport/cpusupport.h ../cpusupport-config.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/cpusupport/cpusupport_x86_aesni.c -o cpusupport_x86_aesni.o
cpusupport_x86_rdrand.o: ../libcperciva/cpusupport/cpusupport_x86_rdrand.c ../libcperciva/cpusupport/cpusupport.h ../cpusupport-config.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/cpusupport/cpusupport_x86_rdrand.c -o cpusupport_x86_rdrand.o
cpusupport_x86_shani.o: ../libcperciva/cpusupport/cpusupport_x86_shani.c ../libcperciva/cpusupport/cpusupport.h ../cpusupport-config.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/cpusupport/cpusupport_x86_shani.c -o cpusupport_x86_shani.o
cpusupport_x86_sse2.o: ../libcperciva/cpusupport/cpusupport_x86_sse2.c ../libcperciva/cpusupport/cpusupport.h ../cpusupport-config.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/cpusupport/cpusupport_x86_sse2.c -o cpusupport_x86_sse2.o
cpusupport_x86_ssse3.o: ../libcperciva/cpusupport/cpusupport_x86_ssse3.c ../libcperciva/cpusupport/cpusupport.h ../cpusupport-config.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/cpusupport/cpusupport_x86_ssse3.c -o cpusupport_x86_ssse3.o
crypto_aes.o: ../libcperciva/crypto/crypto_aes.c ../libcperciva/cpusupport/cpusupport.h ../cpusupport-config.h ../libcperciva/crypto/crypto_aes_aesni.h ../libcperciva/crypto/crypto_aes_arm.h ../libcperciva/util/insecure_memzero.h ../libcperciva/util/warnp.h ../libcperciva/crypto/crypto_aes.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/crypto/crypto_aes.c -o crypto_aes.o
crypto_aes_aesni.o: ../libcperciva/crypto/crypto_aes_aesni.c ../libcperciva/cpusupport/cpusupport.h ../cpusupport-config.h ../libcperciva/util/align_ptr.h ../libcperciva/util/insecure_memzero.h ../libcperciva/util/warnp.h ../libcperciva/crypto/crypto_aes_aesni.h ../libcperciva/crypto/crypto_aes_aesni_m128i.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\" ${CFLAGS_X86_AESNI} -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/crypto/crypto_aes_aesni.c -o crypto_aes_aesni.o
crypto_aes_arm.o: ../libcperciva/crypto/crypto_aes_arm.c ../libcperciva/cpusupport/cpusupport.h ../cpusupport-config.h ../libcperciva/util/align_ptr.h ../libcperciva/util/insecure_memzero.h ../libcperciva/util/warnp.h ../libcperciva/crypto/crypto_aes_arm.h ../libcperciva/crypto/crypto_aes_arm_u8.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\" ${CFLAGS_ARM_AES} -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/crypto/crypto_aes_arm.c -o crypto_aes_arm.o
crypto_aesctr.o: ../libcperciva/crypto/crypto_aesctr.c ../libcperciva/cpusupport/cpusupport.h ../cpusupport-config.h ../libcperciva/crypto/crypto_aes.h ../libcperciva/crypto/crypto_aesctr_aesni.h ../libcperciva/crypto/crypto_aesctr_arm.h ../libcperciva/util/insecure_memzero.h ../libcperciva/util/sysendian.h ../libcperciva/crypto/crypto_aesctr.h ../libcperciva/crypto/crypto_aesctr_shared.c
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/crypto/crypto_aesctr.c -o crypto_aesctr.o
crypto_aesctr_aesni.o: ../libcperciva/crypto/crypto_aesctr_aesni.c ../libcperciva/cpusupport/cpusupport.h ../cpusupport-config.h ../libcperciva/crypto/crypto_aes.h ../libcperciva/crypto/crypto_aes_aesni_m128i.h ../libcperciva/util/sysendian.h ../libcperciva/crypto/crypto_aesctr_aesni.h ../libcperciva/crypto/crypto_aesctr_shared.c
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\" ${CFLAGS_X86_AESNI} -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/crypto/crypto_aesctr_aesni.c -o crypto_aesctr_aesni.o
crypto_aesctr_arm.o: ../libcperciva/crypto/crypto_aesctr_arm.c ../libcperciva/cpusupport/cpusupport.h ../cpusupport-config.h ../libcperciva/crypto/crypto_aes.h ../libcperciva/crypto/crypto_aes_arm_u8.h ../libcperciva/util/sysendian.h ../libcperciva/crypto/crypto_aesctr_arm.h ../libcperciva/crypto/crypto_aesctr_shared.c
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\" ${CFLAGS_ARM_AES} -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/crypto/crypto_aesctr_arm.c -o crypto_aesctr_arm.o
crypto_dh.o: ../libcperciva/crypto/crypto_dh.c ../libcperciva/util/warnp.h ../libcperciva/crypto/crypto_dh_group14.h ../libcperciva/crypto/crypto_entropy.h ../libcperciva/crypto/crypto_dh.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/crypto/crypto_dh.c -o crypto_dh.o
crypto_dh_group14.o: ../libcperciva/crypto/crypto_dh_group14.c ../libcperciva/crypto/crypto_dh_group14.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/crypto/crypto_dh_group14.c -o crypto_dh_group14.o
crypto_entropy.o: ../libcperciva/crypto/crypto_entropy.c ../libcperciva/cpusupport/cpusupport.h ../cpusupport-config.h ../libcperciva/crypto/crypto_entropy_rdrand.h ../libcperciva/util/entropy.h ../libcperciva/util/insecure_memzero.h ../libcperciva/alg/sha256.h ../libcperciva/crypto/crypto_entropy.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/crypto/crypto_entropy.c -o crypto_entropy.o
crypto_entropy_rdrand.o: ../libcperciva/crypto/crypto_entropy_rdrand.c ../libcperciva/cpusupport/cpusupport.h ../cpusupport-config.h ../libcperciva/crypto/crypto_entropy_rdrand.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\" ${CFLAGS_X86_RDRAND} -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/crypto/crypto_entropy_rdrand.c -o crypto_entropy_rdrand.o
crypto_verify_bytes.o: ../libcperciva/crypto/crypto_verify_bytes.c ../libcperciva/crypto/crypto_verify_bytes.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/crypto/crypto_verify_bytes.c -o crypto_verify_bytes.o
elasticarray.o: ../libcperciva/datastruct/elasticarray.c ../libcperciva/datastruct/elasticarray.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/datastruct/elasticarray.c -o elasticarray.o
ptrheap.o: ../libcperciva/datastruct/ptrheap.c ../libcperciva/datastruct/elasticarray.h ../libcperciva/datastruct/ptrheap.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../libcperciva/datastruct/ptrheap.c -o ptrheap.o
timerqueue.o: ../libcperciva/datastruct/timerqueue.c ../libcperciva/datastruct/ptrheap.h ../libcperciva/datastruct/timerqueue.h

=== spipe/Makefile ===
.POSIX:
# AUTOGENERATED FILE, DO NOT EDIT
PROG=spipe
MAN1=spipe.1
SRCS=main.c pushbits.c
IDIRS=-I../libcperciva/crypto -I../libcperciva/events -I../libcperciva/util -I../lib/proto -I../lib/util
LDADD_REQ=-lcrypto -lpthread
SUBDIR_DEPTH=..
RELATIVE_DIR=spipe
LIBALL=../liball/liball.a

all:
	if [ -z "$${HAVE_BUILD_FLAGS}" ]; then \
		cd ${SUBDIR_DEPTH}; \
		${MAKE} BUILD_SUBDIR=${RELATIVE_DIR} \
		    BUILD_TARGET=${PROG} buildsubdir; \
	else \
		${MAKE} ${PROG}; \
	fi

install:${PROG}
	mkdir -p ${BINDIR}
	cp ${PROG} ${BINDIR}/_inst.${PROG}.$$$$_ &&	\
	    strip ${BINDIR}/_inst.${PROG}.$$$$_ &&	\
	    chmod 0555 ${BINDIR}/_inst.${PROG}.$$$$_ && \
	    mv -f ${BINDIR}/_inst.${PROG}.$$$$_ ${BINDIR}/${PROG}
	if ! [ -z "${MAN1DIR}" ]; then			\
		mkdir -p ${MAN1DIR};			\
		for MPAGE in ${MAN1}; do						\
			cp $$MPAGE ${MAN1DIR}/_inst.$$MPAGE.$$$$_ &&			\
			    chmod 0444 ${MAN1DIR}/_inst.$$MPAGE.$$$$_ &&		\
			    mv -f ${MAN1DIR}/_inst.$$MPAGE.$$$$_ ${MAN1DIR}/$$MPAGE;	\
		done;									\
	fi

clean:
	rm -f ${PROG} ${SRCS:.c=.o}

${PROG}:${SRCS:.c=.o} ${LIBALL}
	${CC} -o ${PROG} ${SRCS:.c=.o} ${LIBALL} ${LDFLAGS} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}

main.o: main.c ../libcperciva/events/events.h ../libcperciva/util/getopt.h ../lib/util/graceful_shutdown.h ../libcperciva/util/parsenum.h ../libcperciva/util/sock.h ../libcperciva/util/warnp.h ../lib/proto/proto_conn.h ../lib/proto/proto_crypt.h ../libcperciva/crypto/crypto_dh.h pushbits.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c main.c -o main.o
pushbits.o: pushbits.c ../libcperciva/util/noeintr.h ../lib/util/pthread_create_blocking_np.h ../libcperciva/util/warnp.h pushbits.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c pushbits.c -o pushbits.o

=== spiped/Makefile ===
.POSIX:
# AUTOGENERATED FILE, DO NOT EDIT
PROG=spiped
MAN1=spiped.1
SRCS=main.c dispatch.c
IDIRS=-I../libcperciva/crypto -I../libcperciva/events -I../libcperciva/network -I../libcperciva/util -I../lib/dnsthread -I../lib/proto -I../lib/util
LDADD_REQ=-lcrypto -lpthread
SUBDIR_DEPTH=..
RELATIVE_DIR=spiped
LIBALL=../liball/liball.a

all:
	if [ -z "$${HAVE_BUILD_FLAGS}" ]; then \
		cd ${SUBDIR_DEPTH}; \
		${MAKE} BUILD_SUBDIR=${RELATIVE_DIR} \
		    BUILD_TARGET=${PROG} buildsubdir; \
	else \
		${MAKE} ${PROG}; \
	fi

install:${PROG}
	mkdir -p ${BINDIR}
	cp ${PROG} ${BINDIR}/_inst.${PROG}.$$$$_ &&	\
	    strip ${BINDIR}/_inst.${PROG}.$$$$_ &&	\
	    chmod 0555 ${BINDIR}/_inst.${PROG}.$$$$_ && \
	    mv -f ${BINDIR}/_inst.${PROG}.$$$$_ ${BINDIR}/${PROG}
	if ! [ -z "${MAN1DIR}" ]; then			\
		mkdir -p ${MAN1DIR};			\
		for MPAGE in ${MAN1}; do						\
			cp $$MPAGE ${MAN1DIR}/_inst.$$MPAGE.$$$$_ &&			\
			    chmod 0444 ${MAN1DIR}/_inst.$$MPAGE.$$$$_ &&		\
			    mv -f ${MAN1DIR}/_inst.$$MPAGE.$$$$_ ${MAN1DIR}/$$MPAGE;	\
		done;									\
	fi

clean:
	rm -f ${PROG} ${SRCS:.c=.o}

${PROG}:${SRCS:.c=.o} ${LIBALL}
	${CC} -o ${PROG} ${SRCS:.c=.o} ${LIBALL} ${LDFLAGS} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}

main.o: main.c ../libcperciva/util/asprintf.h ../libcperciva/util/daemonize.h ../libcperciva/events/events.h ../libcperciva/util/getopt.h ../lib/util/graceful_shutdown.h ../libcperciva/util/parsenum.h ../libcperciva/util/setuidgid.h ../libcperciva/util/sock.h ../libcperciva/util/warnp.h dispatch.h ../lib/proto/proto_crypt.h ../libcperciva/crypto/crypto_dh.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c main.c -o main.o
dispatch.o: dispatch.c ../lib/dnsthread/dnsthread.h ../libcperciva/events/events.h ../libcperciva/network/network.h ../libcperciva/util/sock.h ../libcperciva/util/sock_util.h ../libcperciva/util/warnp.h ../lib/proto/proto_conn.h dispatch.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c dispatch.c -o dispatch.o

=== perftests/recv-zeros/Makefile ===
.POSIX:
# AUTOGENERATED FILE, DO NOT EDIT
PROG=recv-zeros
SRCS=main.c
IDIRS=-I../../libcperciva/util
SUBDIR_DEPTH=../..
RELATIVE_DIR=perftests/recv-zeros
LIBALL=../../liball/liball.a

all:
	if [ -z "$${HAVE_BUILD_FLAGS}" ]; then \
		cd ${SUBDIR_DEPTH}; \
		${MAKE} BUILD_SUBDIR=${RELATIVE_DIR} \
		    BUILD_TARGET=${PROG} buildsubdir; \
	else \
		${MAKE} ${PROG}; \
	fi

clean:
	rm -f ${PROG} ${SRCS:.c=.o}

${PROG}:${SRCS:.c=.o} ${LIBALL}
	${CC} -o ${PROG} ${SRCS:.c=.o} ${LIBALL} ${LDFLAGS} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}

main.o: main.c ../../libcperciva/util/parsenum.h ../../libcperciva/util/sock.h ../../libcperciva/util/warnp.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I../.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c main.c -o main.o

=== perftests/send-zeros/Makefile ===
.POSIX:
# AUTOGENERATED FILE, DO NOT EDIT
PROG=send-zeros
SRCS=main.c
IDIRS=-I../../libcperciva/util
SUBDIR_DEPTH=../..
RELATIVE_DIR=perftests/send-zeros
LIBALL=../../liball/liball.a

all:
	if [ -z "$${HAVE_BUILD_FLAGS}" ]; then \
		cd ${SUBDIR_DEPTH}; \
		${MAKE} BUILD_SUBDIR=${RELATIVE_DIR} \
		    BUILD_TARGET=${PROG} buildsubdir; \
	else \
		${MAKE} ${PROG}; \
	fi

clean:
	rm -f ${PROG} ${SRCS:.c=.o}

${PROG}:${SRCS:.c=.o} ${LIBALL}
	${CC} -o ${PROG} ${SRCS:.c=.o} ${LIBALL} ${LDFLAGS} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}

main.o: main.c ../../libcperciva/util/monoclock.h ../../libcperciva/util/parsenum.h ../../libcperciva/util/sock.h ../../libcperciva/util/warnp.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I../.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c main.c -o main.o

=== perftests/standalone-enc/Makefile ===
.POSIX:
# AUTOGENERATED FILE, DO NOT EDIT
PROG=test_standalone_enc
SRCS=main.c proto_crypt.c
IDIRS=-I../../lib/proto -I../../libcperciva/alg -I../../libcperciva/cpusupport -I../../libcperciva/crypto -I../../libcperciva/events -I../../libcperciva/util -I../../lib/util
LDADD_REQ=-lcrypto -lpthread
SUBDIR_DEPTH=../..
RELATIVE_DIR=perftests/standalone-enc
LIBALL=../../liball/liball.a

all:
	if [ -z "$${HAVE_BUILD_FLAGS}" ]; then \
		cd ${SUBDIR_DEPTH}; \
		${MAKE} BUILD_SUBDIR=${RELATIVE_DIR} \
		    BUILD_TARGET=${PROG} buildsubdir; \
	else \
		${MAKE} ${PROG}; \
	fi

clean:
	rm -f ${PROG} ${SRCS:.c=.o}

${PROG}:${SRCS:.c=.o} ${LIBALL}
	${CC} -o ${PROG} ${SRCS:.c=.o} ${LIBALL} ${LDFLAGS} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}

main.o: main.c ../../libcperciva/cpusupport/cpusupport.h ../../cpusupport-config.h ../../libcperciva/crypto/crypto_aes.h ../../libcperciva/crypto/crypto_aesctr.h ../../libcperciva/events/events.h ../../libcperciva/util/noeintr.h ../../libcperciva/util/parsenum.h ../../libcperciva/util/perftest.h ../../lib/proto/proto_crypt.h ../../libcperciva/crypto/crypto_dh.h ../../lib/proto/proto_pipe.h ../../lib/util/pthread_create_blocking_np.h ../../libcperciva/alg/sha256.h ../../libcperciva/util/sysendian.h ../../libcperciva/util/warnp.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\" -DSTANDALONE_ENC_TESTING -I../.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c main.c -o main.o
proto_crypt.o: ../../lib/proto/proto_crypt.c ../../libcperciva/crypto/crypto_aes.h ../../libcperciva/crypto/crypto_aesctr.h ../../libcperciva/crypto/crypto_verify_bytes.h ../../libcperciva/util/insecure_memzero.h ../../libcperciva/alg/sha256.h ../../libcperciva/util/sysendian.h ../../libcperciva/util/warnp.h ../../lib/proto/proto_crypt.h ../../libcperciva/crypto/crypto_dh.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\" -DSTANDALONE_ENC_TESTING -I../.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../../lib/proto/proto_crypt.c -o proto_crypt.o

perftest:
	@${MAKE} all > /dev/null
	@printf "# nblks\tbsize\ttime\tspeed\talg\n"
	@for N in 1 2 3 4 5; do					\
		./test_standalone_enc $$N |			\
		    grep "blocks" |				\
		    awk -v N="$$N"				\
		    '{printf "%i\t%i\t%.6f\t%.6f\t%i\n",	\
			$$1, $$5, $$6, $$8, N}'; \
	done

=== tests/dnsthread-resolve/Makefile ===
.POSIX:
# AUTOGENERATED FILE, DO NOT EDIT
PROG=dnsthread-resolve
SRCS=main.c
IDIRS=-I../../libcperciva/events -I../../libcperciva/util -I../../lib/dnsthread
LDADD_REQ=-lpthread
SUBDIR_DEPTH=../..
RELATIVE_DIR=tests/dnsthread-resolve
LIBALL=../../liball/liball.a

all:
	if [ -z "$${HAVE_BUILD_FLAGS}" ]; then \
		cd ${SUBDIR_DEPTH}; \
		${MAKE} BUILD_SUBDIR=${RELATIVE_DIR} \
		    BUILD_TARGET=${PROG} buildsubdir; \
	else \
		${MAKE} ${PROG}; \
	fi

clean:
	rm -f ${PROG} ${SRCS:.c=.o}

${PROG}:${SRCS:.c=.o} ${LIBALL}
	${CC} -o ${PROG} ${SRCS:.c=.o} ${LIBALL} ${LDFLAGS} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}

main.o: main.c ../../libcperciva/events/events.h ../../libcperciva/util/sock.h ../../libcperciva/util/sock_util.h ../../libcperciva/util/warnp.h ../../lib/dnsthread/dnsthread.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I../.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c main.c -o main.o

=== tests/nc-client/Makefile ===
.POSIX:
# AUTOGENERATED FILE, DO NOT EDIT
PROG=nc-client
SRCS=main.c
IDIRS=-I../../libcperciva/events -I../../libcperciva/network -I../../libcperciva/util
SUBDIR_DEPTH=../..
RELATIVE_DIR=tests/nc-client
LIBALL=../../liball/liball.a

all:
	if [ -z "$${HAVE_BUILD_FLAGS}" ]; then \
		cd ${SUBDIR_DEPTH}; \
		${MAKE} BUILD_SUBDIR=${RELATIVE_DIR} \
		    BUILD_TARGET=${PROG} buildsubdir; \
	else \
		${MAKE} ${PROG}; \
	fi

clean:
	rm -f ${PROG} ${SRCS:.c=.o}

${PROG}:${SRCS:.c=.o} ${LIBALL}
	${CC} -o ${PROG} ${SRCS:.c=.o} ${LIBALL} ${LDFLAGS} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}

main.o: main.c ../../libcperciva/events/events.h ../../libcperciva/network/network.h ../../libcperciva/util/sock.h ../../libcperciva/util/warnp.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I../.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c main.c -o main.o

=== tests/nc-server/Makefile ===
.POSIX:
# AUTOGENERATED FILE, DO NOT EDIT
PROG=nc-server
SRCS=main.c simple_server.c
IDIRS=-I../../libcperciva/events -I../../libcperciva/network -I../../libcperciva/util
SUBDIR_DEPTH=../..
RELATIVE_DIR=tests/nc-server
LIBALL=../../liball/liball.a

all:
	if [ -z "$${HAVE_BUILD_FLAGS}" ]; then \
		cd ${SUBDIR_DEPTH}; \
		${MAKE} BUILD_SUBDIR=${RELATIVE_DIR} \
		    BUILD_TARGET=${PROG} buildsubdir; \
	else \
		${MAKE} ${PROG}; \
	fi

clean:
	rm -f ${PROG} ${SRCS:.c=.o}

${PROG}:${SRCS:.c=.o} ${LIBALL}
	${CC} -o ${PROG} ${SRCS:.c=.o} ${LIBALL} ${LDFLAGS} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}

main.o: main.c ../../libcperciva/util/monoclock.h ../../libcperciva/util/parsenum.h ../../libcperciva/util/warnp.h simple_server.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I../.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c main.c -o main.o
simple_server.o: simple_server.c ../../libcperciva/events/events.h ../../libcperciva/network/network.h ../../libcperciva/util/sock.h ../../libcperciva/util/warnp.h simple_server.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I../.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c simple_server.c -o simple_server.o

=== tests/pthread_create_blocking_np/Makefile ===
.POSIX:
# AUTOGENERATED FILE, DO NOT EDIT
PROG=test_pthread_create_blocking_np
SRCS=main.c timing.c
IDIRS=-I../../libcperciva/util -I../../lib/util
LDADD_REQ=-lpthread
SUBDIR_DEPTH=../..
RELATIVE_DIR=tests/pthread_create_blocking_np
LIBALL=../../liball/liball.a

all:
	if [ -z "$${HAVE_BUILD_FLAGS}" ]; then \
		cd ${SUBDIR_DEPTH}; \
		${MAKE} BUILD_SUBDIR=${RELATIVE_DIR} \
		    BUILD_TARGET=${PROG} buildsubdir; \
	else \
		${MAKE} ${PROG}; \
	fi

clean:
	rm -f ${PROG} ${SRCS:.c=.o}

${PROG}:${SRCS:.c=.o} ${LIBALL}
	${CC} -o ${PROG} ${SRCS:.c=.o} ${LIBALL} ${LDFLAGS} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}

main.o: main.c ../../lib/util/pthread_create_blocking_np.h timing.h ../../libcperciva/util/warnp.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I../.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c main.c -o main.o
timing.o: timing.c ../../libcperciva/util/monoclock.h ../../lib/util/pthread_create_blocking_np.h ../../libcperciva/util/warnp.h timing.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I../.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c timing.c -o timing.o

=== tests/pushbits/Makefile ===
.POSIX:
# AUTOGENERATED FILE, DO NOT EDIT
PROG=test_pushbits
SRCS=main.c pushbits.c
IDIRS=-I../../spipe -I../../libcperciva/util -I../../lib/util
LDADD_REQ=-lpthread
SUBDIR_DEPTH=../..
RELATIVE_DIR=tests/pushbits
LIBALL=../../liball/liball.a

all:
	if [ -z "$${HAVE_BUILD_FLAGS}" ]; then \
		cd ${SUBDIR_DEPTH}; \
		${MAKE} BUILD_SUBDIR=${RELATIVE_DIR} \
		    BUILD_TARGET=${PROG} buildsubdir; \
	else \
		${MAKE} ${PROG}; \
	fi

clean:
	rm -f ${PROG} ${SRCS:.c=.o}

${PROG}:${SRCS:.c=.o} ${LIBALL}
	${CC} -o ${PROG} ${SRCS:.c=.o} ${LIBALL} ${LDFLAGS} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}

main.o: main.c ../../libcperciva/util/getopt.h ../../libcperciva/util/noeintr.h ../../libcperciva/util/parsenum.h ../../libcperciva/util/warnp.h ../../spipe/pushbits.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I../.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c main.c -o main.o
pushbits.o: ../../spipe/pushbits.c ../../libcperciva/util/noeintr.h ../../lib/util/pthread_create_blocking_np.h ../../libcperciva/util/warnp.h ../../spipe/pushbits.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I../.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../../spipe/pushbits.c -o pushbits.o

=== debian/changelog ===
spiped (1.6.2-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:03:26 +1100

spiped (1.6.2-3build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:24:52 +0000

spiped (1.6.2-3) unstable; urgency=medium

  * Fix the watch file: the upstream site's spiped/ directory is not
    indexable any more.
  * Fix FTBFS by silencing OpenSSL warnings about functions deprecated in
    OpenSSL 3.x.
  * Declare compliance with Policy 4.6.2 with no changes.
  * Add the year 2023 to my debian/* copyright notice.
  * Catch up with Lintian warnings format changes.

 -- Peter Pentchev <roam@debian.org>  Sat, 07 Jan 2023 04:39:23 +0200

spiped (1.6.2-2) unstable; urgency=medium

  * Pass O_RDONLY, not 0, to sysopen() in the autopkgtest so that
    it can also work on systems where O_RDONLY != 0, e.g. the Hurd.
    Thanks to Niko Tyni for pointing out this silly mistake of mine!
  * Add the year 2022 to my debian/* copyright notice.
  * Add a Hurd-specific shutdown()-on-a-local-socket fix.

 -- Peter Pentchev <roam@debian.org>  Wed, 02 Mar 2022 16:30:43 +0200

spiped (1.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Peter Pentchev <roam@debian.org>  Sun, 26 Dec 2021 05:35:50 +0200

spiped (1.6.1.99.1-1) experimental; urgency=medium

  * New upstream release:
    - drop the arm-non-aarch64 and clean-tests patches, both implemented
      in a better way upstream

 -- Peter Pentchev <roam@debian.org>  Sun, 19 Dec 2021 03:57:26 +0200

spiped (1.6.1.99-2) experimental; urgency=medium

  * Add the arm-non-aarch64 patch to fix the armhf build.
  * Pass -q0 to netcat in the autopkgtest to make sure it exits.
  * Add the clean-tests patch to clean another directory up.

 -- Peter Pentchev <roam@debian.org>  Fri, 10 Dec 2021 23:51:17 +0200

spiped (1.6.1.99-1) experimental; urgency=medium

  * Declare compliance with Debian Policy 4.6.0 with no changes.
  * Add the year 2021 to my debian/* copyright notice.
  * Override Lintian "line too long" complaints for source files
    listed in several Makefiles.
  * Explicitly specify dh-sequence-single-binary as a virtual build
    dependency.
  * New upstream prerelease:
    - update the upstream copyright years
    - refresh the line numbers in the debian-build patch
  * Fix the debian/tests/simple autopkgtest's options handling.
  * Run the debian/tests/simple autopkgtest during the build, too.

 -- Peter Pentchev <roam@debian.org>  Fri, 10 Dec 2021 16:14:52 +0200

=== debian/control ===
Source: spiped
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-single-binary,
  libssl-dev,
  procps,
  netcat-openbsd <!nocheck>,
  perl <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://www.tarsnap.com/spiped.html
Vcs-Git: https://gitlab.com/spiped/spiped.git -b debian/master
Vcs-Browser: https://gitlab.com/spiped/spiped/tree/debian/master
Rules-Requires-Root: no

Package: spiped
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: create secure pipes between socket addresses
 spiped (pronounced "ess-pipe-dee") is a utility for creating symmetrically
 encrypted and authenticated pipes between socket addresses, so that one may
 connect to one address (e.g., a UNIX socket on localhost) and transparently
 have a connection established to another address (e.g., a UNIX socket on a
 different system).  This is similar to 'ssh -L' functionality, but does not
 use SSH and requires a pre-shared symmetric key.
 .
 spipe (pronounced "ess-pipe") is a utility which acts as an spiped protocol
 client (i.e., connects to an spiped daemon), taking input from the standard
 input and writing data read back to the standard output.

=== debian/tests/control ===
Tests: simple
Depends: @, netcat-openbsd, perl

## spiped 1.6.3

=== spiped/Makefile ===
.POSIX:
# AUTOGENERATED FILE, DO NOT EDIT
PROG=spiped
MAN1=spiped.1
SRCS=main.c dispatch.c
IDIRS=-I../libcperciva/crypto -I../libcperciva/events -I../libcperciva/external/queue -I../libcperciva/network -I../libcperciva/util -I../lib/dnsthread -I../lib/proto -I../lib/util
LDADD_REQ=-lcrypto -lpthread
SUBDIR_DEPTH=..
RELATIVE_DIR=spiped
LIBALL=../liball/liball.a ../liball/optional_mutex_pthread/liball_optional_mutex_pthread.a

all:
	if [ -z "$${HAVE_BUILD_FLAGS}" ]; then \
		cd ${SUBDIR_DEPTH}; \
		${MAKE} BUILD_SUBDIR=${RELATIVE_DIR} \
		    BUILD_TARGET=${PROG} buildsubdir; \
	else \
		${MAKE} ${PROG}; \
	fi

install:${PROG}
	mkdir -p ${BINDIR}
	cp ${PROG} ${BINDIR}/_inst.${PROG}.$$$$_ &&	\
	    strip ${BINDIR}/_inst.${PROG}.$$$$_ &&	\
	    chmod 0555 ${BINDIR}/_inst.${PROG}.$$$$_ && \
	    mv -f ${BINDIR}/_inst.${PROG}.$$$$_ ${BINDIR}/${PROG}
	if ! [ -z "${MAN1DIR}" ]; then			\
		mkdir -p ${MAN1DIR};			\
		for MPAGE in ${MAN1}; do						\
			cp $$MPAGE ${MAN1DIR}/_inst.$$MPAGE.$$$$_ &&			\
			    chmod 0444 ${MAN1DIR}/_inst.$$MPAGE.$$$$_ &&		\
			    mv -f ${MAN1DIR}/_inst.$$MPAGE.$$$$_ ${MAN1DIR}/$$MPAGE;	\
		done;									\
	fi

clean:
	rm -f ${PROG} ${SRCS:.c=.o}

${PROG}:${SRCS:.c=.o} ${LIBALL}
	${CC} -o ${PROG} ${SRCS:.c=.o} ${LIBALL} ${LDFLAGS} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}

main.o: main.c ../libcperciva/util/asprintf.h ../libcperciva/util/daemonize.h ../libcperciva/events/events.h ../libcperciva/util/getopt.h ../lib/util/graceful_shutdown.h ../libcperciva/util/parsenum.h ../libcperciva/util/setuidgid.h ../libcperciva/util/sock.h ../libcperciva/util/sock_util.h ../libcperciva/util/warnp.h dispatch.h ../lib/proto/proto_crypt.h ../libcperciva/crypto/crypto_dh.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\" -DAPISUPPORT_CONFIG_FILE=\"apisupport-config.h\" -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c main.c -o main.o
dispatch.o: dispatch.c ../lib/dnsthread/dnsthread.h ../libcperciva/events/events.h ../libcperciva/network/network.h ../libcperciva/external/queue/queue.h ../libcperciva/util/sock.h ../libcperciva/util/sock_util.h ../libcperciva/util/warnp.h ../lib/proto/proto_conn.h dispatch.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\" -DAPISUPPORT_CONFIG_FILE=\"apisupport-config.h\" -I.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c dispatch.c -o dispatch.o

=== perftests/send-zeros/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 IDIRS=-I../../libcperciva/util
 SUBDIR_DEPTH=../..
 RELATIVE_DIR=perftests/send-zeros
-LIBALL=../../liball/liball.a
+LIBALL=../../liball/liball.a ../../liball/optional_mutex_normal/liball_optional_mutex_normal.a
 
 all:
 	if [ -z "$${HAVE_BUILD_FLAGS}" ]; then \
@@ -23,4 +23,4 @@
 	${CC} -o ${PROG} ${SRCS:.c=.o} ${LIBALL} ${LDFLAGS} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}
 
 main.o: main.c ../../libcperciva/util/monoclock.h ../../libcperciva/util/parsenum.h ../../libcperciva/util/sock.h ../../libcperciva/util/warnp.h
-	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I../.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c main.c -o main.o
+	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\" -DAPISUPPORT_CONFIG_FILE=\"apisupport-config.h\" -I../.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c main.c -o main.o

=== tests/nc-client/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 IDIRS=-I../../libcperciva/events -I../../libcperciva/network -I../../libcperciva/util
 SUBDIR_DEPTH=../..
 RELATIVE_DIR=tests/nc-client
-LIBALL=../../liball/liball.a
+LIBALL=../../liball/liball.a ../../liball/optional_mutex_normal/liball_optional_mutex_normal.a
 
 all:
 	if [ -z "$${HAVE_BUILD_FLAGS}" ]; then \
@@ -23,4 +23,4 @@
 	${CC} -o ${PROG} ${SRCS:.c=.o} ${LIBALL} ${LDFLAGS} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}
 
 main.o: main.c ../../libcperciva/events/events.h ../../libcperciva/network/network.h ../../libcperciva/util/sock.h ../../libcperciva/util/warnp.h
-	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I../.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c main.c -o main.o
+	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\" -DAPISUPPORT_CONFIG_FILE=\"apisupport-config.h\" -I../.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c main.c -o main.o

=== debian/changelog ===
spiped (1.6.3-1) unstable; urgency=medium

  * New upstreal release:
    - update the upstream copyright notices
  * Upload to unstable.

 -- Peter Pentchev <roam@debian.org>  Wed, 29 Jan 2025 22:53:32 +0200

spiped (1.6.2.99-1) experimental; urgency=medium

  * New upstream prerelease:
    - update the upstream copyright notices
    - drop the openssl-3 patch, the upstream source was adapted for
      compatibility with OpenSSL 3.x
    - drop one of the "line too long" Lintian overrides
  * Add the year 2025 to my debian/* copyright notice.

 -- Peter Pentchev <roam@debian.org>  Wed, 22 Jan 2025 02:09:49 +0200

spiped (1.6.2-4) unstable; urgency=medium

  * Declare compliance with Policy 4.7.0 with no changes.
  * Add the year 2024 to my debian/* copyright notice.
  * Include dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
  * Switch to dh compat level 14 and X-DH-Compat.
  * Let debhelper handle some dependencies automatically.
  * Use debputy's X-Style: black.

 -- Peter Pentchev <roam@debian.org>  Tue, 31 Dec 2024 03:41:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: spiped
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Peter Pentchev <roam@debian.org>
+Maintainer: Peter Pentchev <roam@debian.org>
 Build-Depends:
-  debhelper-compat (= 13),
-  dh-sequence-single-binary,
-  libssl-dev,
-  procps,
-  netcat-openbsd <!nocheck>,
-  perl <!nocheck>,
-Standards-Version: 4.6.2
+ debhelper (>> 13.15.2~),
+ dh-sequence-single-binary,
+ dpkg-build-api (= 1),
+ libssl-dev,
+ netcat-openbsd <!nocheck>,
+ perl <!nocheck>,
+ procps,
+Standards-Version: 4.7.0
+X-DH-Compat: 14
 Homepage: https://www.tarsnap.com/spiped.html
 Vcs-Git: https://gitlab.com/spiped/spiped.git -b debian/master
 Vcs-Browser: https://gitlab.com/spiped/spiped/tree/debian/master
-Rules-Requires-Root: no
+X-Style: black
 
 Package: spiped
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: foreign
 Description: create secure pipes between socket addresses
  spiped (pronounced "ess-pipe-dee") is a utility for creating symmetrically

=== debian/rules ===
#!/usr/bin/make -f
# Debhelper rules file for spiped, the secure pipe daemon.

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all future=+lfs

DEB_CFLAGS_MAINT_APPEND=	-pipe -Wall -W -std=c99 -pedantic -Wbad-function-cast \
		-Wcast-align -Wcast-qual -Wchar-subscripts -Wno-inline \
		-Wmissing-prototypes -Wnested-externs -Wpointer-arith \
		-Wno-redundant-decls -Wshadow -Wstrict-prototypes -Wwrite-strings
ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
DEB_CFLAGS_MAINT_APPEND+=	-Werror -Wno-error=clobbered
endif

export DEB_BUILD_MAINT_OPTIONS DEB_CPPFLAGS_MAINT_APPEND DEB_CFLAGS_MAINT_APPEND DEB_LDFLAGS_MAINT_APPEND

include /usr/share/dpkg/default.mk

%:
	dh $@

execute_after_dh_auto_test:
	'${CURDIR}/debian/tests/simple' -c '${CURDIR}/spipe/spipe' -s '${CURDIR}/spiped/spiped'

override_dh_auto_install:
	dh_auto_install -- \
		'BINDIR=${CURDIR}/debian/spiped/usr/bin' \
		'MAN1DIR=${CURDIR}/debian/spiped/usr/share/man/man1'

override_dh_installchangelogs:
	dh_installchangelogs -X CHANGELOG
	install -m 644 CHANGELOG debian/spiped/usr/share/doc/spiped/NEWS

=== debian/tests/control ===
Tests:
 simple,
Depends:
 netcat-openbsd,
 perl,
 @,

=== debian/watch ===
version=4
opts=pgpmode=none \
https://www.tarsnap.com/spiped.html spiped/spiped-([\d.]*)\.tgz
